Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class MetaData.OriginInfo

    java.lang.Object
      org.eclipse.jetty.webapp.MetaData.OriginInfo

Enclosing class:
  MetaData

    public static class MetaData.OriginInfo

extends java.lang.Object

Field Summary
`protected Descriptor` | `descriptor`
`protected java.lang.String` | `name`
`protected MetaData.Origin` | `origin`

Constructor Summary
`MetaData.OriginInfo(java.lang.String n)`
`MetaData.OriginInfo(java.lang.String n, Descriptor d)`
`MetaData.OriginInfo(java.lang.String n, MetaData.Origin o)`

Method Summary
`Descriptor` | `getDescriptor()`
`java.lang.String` | `getName()`
`MetaData.Origin` | `getOriginType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### origin

    protected MetaData.Origin origin

### descriptor

    protected Descriptor descriptor

Constructor Detail

### MetaData.OriginInfo

    public MetaData.OriginInfo(java.lang.String n,
                               Descriptor d)

### MetaData.OriginInfo

    public MetaData.OriginInfo(java.lang.String n)

### MetaData.OriginInfo

    public MetaData.OriginInfo(java.lang.String n,
                               MetaData.Origin o)

Method Detail

### getName

    public java.lang.String getName()

### getOriginType

    public MetaData.Origin getOriginType()

### getDescriptor

    public Descriptor getDescriptor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.